Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.bridge.connector.tcp
Class TCPMultiServerConnectionRunnable

    java.lang.Object
      kieker.tools.bridge.connector.tcp.TCPMultiServerConnectionRunnable

All Implemented Interfaces:
  Runnable

    public class TCPMultiServerConnectionRunnable

extends Object
implements Runnable

Handles one TCP connection for the multi server.

Since:
  1.8
Author:
  Reiner Jung

Constructor Summary
`TCPMultiServerConnectionRunnable(Socket socket, ConcurrentMap<Integer,LookupEntity> lookupEntityMap, BlockingQueue<IMonitoringRecord> recordQueue)` Create a service thread.

Method Summary
`boolean` | `isActive()`
`void` | `run()` Main loop of the connection runnable.
`void` | `setActive(boolean active)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TCPMultiServerConnectionRunnable

    public TCPMultiServerConnectionRunnable(Socket socket,
                                            ConcurrentMap<Integer,LookupEntity> lookupEntityMap,
                                            BlockingQueue<IMonitoringRecord> recordQueue)

  Create a service thread.

  Parameters:
    `socket` - service socket
    `lookupEntityMap` - map for constructor and parameter fields of records combined with the record id
    `recordQueue` - Queue of the server to retrieve all deserialized records

Method Detail

### run

    public void run()

  Main loop of the connection runnable.

  Specified by:
    `run` in interface `Runnable`

### isActive

    public boolean isActive()

### setActive

    public void setActive(boolean active)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net